/** @file
 * $Source: /home/cvsmanager/yoda/event/tmtc/TmtcEvent.cpp,v $
 * $Id: TmtcEvent.cpp,v 3.0 2005/03/04 15:54:11 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Implementation of the TmtcEvent class.
 */
#include "TmtcEvent.h"

using namespace pamela;
TClonesArray *TmtcEvent::fgRecords = 0;

TmtcEvent::TmtcEvent(void): SubPacket("Event", PacketType::Tmtc) {
if (!fgRecords) fgRecords = new TClonesArray("pamela::TmtcRecord", 1);
   Records = fgRecords;
}

TmtcEvent::~TmtcEvent(void) {
}
ClassImp(TmtcEvent)
